IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/36
Addresses2^92
/64 networks268,435,456
- Network
3c19:c25f:3000::/36- First address
3c19:c25f:3000::- Last address
3c19:c25f:3fff:ffff:ffff:ffff:ffff:ffff- Addresses
- 4,951,760,157,141,521,099,596,496,896 (2^92)
- /64 networks (LANs)
- 268,435,456
- Full form
3c19:c25f:3000:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
3.f.5.2.c.9.1.c.3.ip6.arpa
Split into smaller subnets
3c19:c25f:3000::/36 makes 4,096 subnets of /48; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 3c19:c25f:3000::/48 | 3c19:c25f:3000:ffff:ffff:ffff:ffff:ffff |
| 2 | 3c19:c25f:3001::/48 | 3c19:c25f:3001:ffff:ffff:ffff:ffff:ffff |
| 3 | 3c19:c25f:3002::/48 | 3c19:c25f:3002:ffff:ffff:ffff:ffff:ffff |
| 4 | 3c19:c25f:3003::/48 | 3c19:c25f:3003:ffff:ffff:ffff:ffff:ffff |
| 5 | 3c19:c25f:3004::/48 | 3c19:c25f:3004:ffff:ffff:ffff:ffff:ffff |
| 6 | 3c19:c25f:3005::/48 | 3c19:c25f:3005:ffff:ffff:ffff:ffff:ffff |
| 7 | 3c19:c25f:3006::/48 | 3c19:c25f:3006:ffff:ffff:ffff:ffff:ffff |
| 8 | 3c19:c25f:3007::/48 | 3c19:c25f:3007:ffff:ffff:ffff:ffff:ffff |
| 9 | 3c19:c25f:3008::/48 | 3c19:c25f:3008:ffff:ffff:ffff:ffff:ffff |
| 10 | 3c19:c25f:3009::/48 | 3c19:c25f:3009:ffff:ffff:ffff:ffff:ffff |
| 11 | 3c19:c25f:300a::/48 | 3c19:c25f:300a:ffff:ffff:ffff:ffff:ffff |
| 12 | 3c19:c25f:300b::/48 | 3c19:c25f:300b:ffff:ffff:ffff:ffff:ffff |
| 13 | 3c19:c25f:300c::/48 | 3c19:c25f:300c:ffff:ffff:ffff:ffff:ffff |
| 14 | 3c19:c25f:300d::/48 | 3c19:c25f:300d:ffff:ffff:ffff:ffff:ffff |
| 15 | 3c19:c25f:300e::/48 | 3c19:c25f:300e:ffff:ffff:ffff:ffff:ffff |
| 16 | 3c19:c25f:300f::/48 | 3c19:c25f:300f:ffff:ffff:ffff:ffff:ffff |
| 17 | 3c19:c25f:3010::/48 | 3c19:c25f:3010:ffff:ffff:ffff:ffff:ffff |
| 18 | 3c19:c25f:3011::/48 | 3c19:c25f:3011:ffff:ffff:ffff:ffff:ffff |
| 19 | 3c19:c25f:3012::/48 | 3c19:c25f:3012:ffff:ffff:ffff:ffff:ffff |
| 20 | 3c19:c25f:3013::/48 | 3c19:c25f:3013:ffff:ffff:ffff:ffff:ffff |
| 21 | 3c19:c25f:3014::/48 | 3c19:c25f:3014:ffff:ffff:ffff:ffff:ffff |
| 22 | 3c19:c25f:3015::/48 | 3c19:c25f:3015:ffff:ffff:ffff:ffff:ffff |
| 23 | 3c19:c25f:3016::/48 | 3c19:c25f:3016:ffff:ffff:ffff:ffff:ffff |
| 24 | 3c19:c25f:3017::/48 | 3c19:c25f:3017:ffff:ffff:ffff:ffff:ffff |
| 25 | 3c19:c25f:3018::/48 | 3c19:c25f:3018:ffff:ffff:ffff:ffff:ffff |
| 26 | 3c19:c25f:3019::/48 | 3c19:c25f:3019:ffff:ffff:ffff:ffff:ffff |
| 27 | 3c19:c25f:301a::/48 | 3c19:c25f:301a:ffff:ffff:ffff:ffff:ffff |
| 28 | 3c19:c25f:301b::/48 | 3c19:c25f:301b:ffff:ffff:ffff:ffff:ffff |
| 29 | 3c19:c25f:301c::/48 | 3c19:c25f:301c:ffff:ffff:ffff:ffff:ffff |
| 30 | 3c19:c25f:301d::/48 | 3c19:c25f:301d:ffff:ffff:ffff:ffff:ffff |
| 31 | 3c19:c25f:301e::/48 | 3c19:c25f:301e:ffff:ffff:ffff:ffff:ffff |
| 32 | 3c19:c25f:301f::/48 | 3c19:c25f:301f:ffff:ffff:ffff:ffff:ffff |
| 33 | 3c19:c25f:3020::/48 | 3c19:c25f:3020:ffff:ffff:ffff:ffff:ffff |
| 34 | 3c19:c25f:3021::/48 | 3c19:c25f:3021:ffff:ffff:ffff:ffff:ffff |
| 35 | 3c19:c25f:3022::/48 | 3c19:c25f:3022:ffff:ffff:ffff:ffff:ffff |
| 36 | 3c19:c25f:3023::/48 | 3c19:c25f:3023:ffff:ffff:ffff:ffff:ffff |
| 37 | 3c19:c25f:3024::/48 | 3c19:c25f:3024:ffff:ffff:ffff:ffff:ffff |
| 38 | 3c19:c25f:3025::/48 | 3c19:c25f:3025:ffff:ffff:ffff:ffff:ffff |
| 39 | 3c19:c25f:3026::/48 | 3c19:c25f:3026:ffff:ffff:ffff:ffff:ffff |
| 40 | 3c19:c25f:3027::/48 | 3c19:c25f:3027:ffff:ffff:ffff:ffff:ffff |
| 41 | 3c19:c25f:3028::/48 | 3c19:c25f:3028:ffff:ffff:ffff:ffff:ffff |
| 42 | 3c19:c25f:3029::/48 | 3c19:c25f:3029:ffff:ffff:ffff:ffff:ffff |
| 43 | 3c19:c25f:302a::/48 | 3c19:c25f:302a:ffff:ffff:ffff:ffff:ffff |
| 44 | 3c19:c25f:302b::/48 | 3c19:c25f:302b:ffff:ffff:ffff:ffff:ffff |
| 45 | 3c19:c25f:302c::/48 | 3c19:c25f:302c:ffff:ffff:ffff:ffff:ffff |
| 46 | 3c19:c25f:302d::/48 | 3c19:c25f:302d:ffff:ffff:ffff:ffff:ffff |
| 47 | 3c19:c25f:302e::/48 | 3c19:c25f:302e:ffff:ffff:ffff:ffff:ffff |
| 48 | 3c19:c25f:302f::/48 | 3c19:c25f:302f:ffff:ffff:ffff:ffff:ffff |
| 49 | 3c19:c25f:3030::/48 | 3c19:c25f:3030:ffff:ffff:ffff:ffff:ffff |
| 50 | 3c19:c25f:3031::/48 | 3c19:c25f:3031:ffff:ffff:ffff:ffff:ffff |
| 51 | 3c19:c25f:3032::/48 | 3c19:c25f:3032:ffff:ffff:ffff:ffff:ffff |
| 52 | 3c19:c25f:3033::/48 | 3c19:c25f:3033:ffff:ffff:ffff:ffff:ffff |
| 53 | 3c19:c25f:3034::/48 | 3c19:c25f:3034:ffff:ffff:ffff:ffff:ffff |
| 54 | 3c19:c25f:3035::/48 | 3c19:c25f:3035:ffff:ffff:ffff:ffff:ffff |
| 55 | 3c19:c25f:3036::/48 | 3c19:c25f:3036:ffff:ffff:ffff:ffff:ffff |
| 56 | 3c19:c25f:3037::/48 | 3c19:c25f:3037:ffff:ffff:ffff:ffff:ffff |
| 57 | 3c19:c25f:3038::/48 | 3c19:c25f:3038:ffff:ffff:ffff:ffff:ffff |
| 58 | 3c19:c25f:3039::/48 | 3c19:c25f:3039:ffff:ffff:ffff:ffff:ffff |
| 59 | 3c19:c25f:303a::/48 | 3c19:c25f:303a:ffff:ffff:ffff:ffff:ffff |
| 60 | 3c19:c25f:303b::/48 | 3c19:c25f:303b:ffff:ffff:ffff:ffff:ffff |
| 61 | 3c19:c25f:303c::/48 | 3c19:c25f:303c:ffff:ffff:ffff:ffff:ffff |
| 62 | 3c19:c25f:303d::/48 | 3c19:c25f:303d:ffff:ffff:ffff:ffff:ffff |
| 63 | 3c19:c25f:303e::/48 | 3c19:c25f:303e:ffff:ffff:ffff:ffff:ffff |
| 64 | 3c19:c25f:303f::/48 | 3c19:c25f:303f:ffff:ffff:ffff:ffff:ffff |
| 65 | 3c19:c25f:3040::/48 | 3c19:c25f:3040:ffff:ffff:ffff:ffff:ffff |
| 66 | 3c19:c25f:3041::/48 | 3c19:c25f:3041:ffff:ffff:ffff:ffff:ffff |
| 67 | 3c19:c25f:3042::/48 | 3c19:c25f:3042:ffff:ffff:ffff:ffff:ffff |
| 68 | 3c19:c25f:3043::/48 | 3c19:c25f:3043:ffff:ffff:ffff:ffff:ffff |
| 69 | 3c19:c25f:3044::/48 | 3c19:c25f:3044:ffff:ffff:ffff:ffff:ffff |
| 70 | 3c19:c25f:3045::/48 | 3c19:c25f:3045:ffff:ffff:ffff:ffff:ffff |
| 71 | 3c19:c25f:3046::/48 | 3c19:c25f:3046:ffff:ffff:ffff:ffff:ffff |
| 72 | 3c19:c25f:3047::/48 | 3c19:c25f:3047:ffff:ffff:ffff:ffff:ffff |
| 73 | 3c19:c25f:3048::/48 | 3c19:c25f:3048:ffff:ffff:ffff:ffff:ffff |
| 74 | 3c19:c25f:3049::/48 | 3c19:c25f:3049:ffff:ffff:ffff:ffff:ffff |
| 75 | 3c19:c25f:304a::/48 | 3c19:c25f:304a:ffff:ffff:ffff:ffff:ffff |
| 76 | 3c19:c25f:304b::/48 | 3c19:c25f:304b:ffff:ffff:ffff:ffff:ffff |
| 77 | 3c19:c25f:304c::/48 | 3c19:c25f:304c:ffff:ffff:ffff:ffff:ffff |
| 78 | 3c19:c25f:304d::/48 | 3c19:c25f:304d:ffff:ffff:ffff:ffff:ffff |
| 79 | 3c19:c25f:304e::/48 | 3c19:c25f:304e:ffff:ffff:ffff:ffff:ffff |
| 80 | 3c19:c25f:304f::/48 | 3c19:c25f:304f:ffff:ffff:ffff:ffff:ffff |
| 81 | 3c19:c25f:3050::/48 | 3c19:c25f:3050:ffff:ffff:ffff:ffff:ffff |
| 82 | 3c19:c25f:3051::/48 | 3c19:c25f:3051:ffff:ffff:ffff:ffff:ffff |
| 83 | 3c19:c25f:3052::/48 | 3c19:c25f:3052:ffff:ffff:ffff:ffff:ffff |
| 84 | 3c19:c25f:3053::/48 | 3c19:c25f:3053:ffff:ffff:ffff:ffff:ffff |
| 85 | 3c19:c25f:3054::/48 | 3c19:c25f:3054:ffff:ffff:ffff:ffff:ffff |
| 86 | 3c19:c25f:3055::/48 | 3c19:c25f:3055:ffff:ffff:ffff:ffff:ffff |
| 87 | 3c19:c25f:3056::/48 | 3c19:c25f:3056:ffff:ffff:ffff:ffff:ffff |
| 88 | 3c19:c25f:3057::/48 | 3c19:c25f:3057:ffff:ffff:ffff:ffff:ffff |
| 89 | 3c19:c25f:3058::/48 | 3c19:c25f:3058:ffff:ffff:ffff:ffff:ffff |
| 90 | 3c19:c25f:3059::/48 | 3c19:c25f:3059:ffff:ffff:ffff:ffff:ffff |
| 91 | 3c19:c25f:305a::/48 | 3c19:c25f:305a:ffff:ffff:ffff:ffff:ffff |
| 92 | 3c19:c25f:305b::/48 | 3c19:c25f:305b:ffff:ffff:ffff:ffff:ffff |
| 93 | 3c19:c25f:305c::/48 | 3c19:c25f:305c:ffff:ffff:ffff:ffff:ffff |
| 94 | 3c19:c25f:305d::/48 | 3c19:c25f:305d:ffff:ffff:ffff:ffff:ffff |
| 95 | 3c19:c25f:305e::/48 | 3c19:c25f:305e:ffff:ffff:ffff:ffff:ffff |
| 96 | 3c19:c25f:305f::/48 | 3c19:c25f:305f:ffff:ffff:ffff:ffff:ffff |
| 97 | 3c19:c25f:3060::/48 | 3c19:c25f:3060:ffff:ffff:ffff:ffff:ffff |
| 98 | 3c19:c25f:3061::/48 | 3c19:c25f:3061:ffff:ffff:ffff:ffff:ffff |
| 99 | 3c19:c25f:3062::/48 | 3c19:c25f:3062:ffff:ffff:ffff:ffff:ffff |
| 100 | 3c19:c25f:3063::/48 | 3c19:c25f:3063:ffff:ffff:ffff:ffff:ffff |
| 101 | 3c19:c25f:3064::/48 | 3c19:c25f:3064:ffff:ffff:ffff:ffff:ffff |
| 102 | 3c19:c25f:3065::/48 | 3c19:c25f:3065:ffff:ffff:ffff:ffff:ffff |
| 103 | 3c19:c25f:3066::/48 | 3c19:c25f:3066:ffff:ffff:ffff:ffff:ffff |
| 104 | 3c19:c25f:3067::/48 | 3c19:c25f:3067:ffff:ffff:ffff:ffff:ffff |
| 105 | 3c19:c25f:3068::/48 | 3c19:c25f:3068:ffff:ffff:ffff:ffff:ffff |
| 106 | 3c19:c25f:3069::/48 | 3c19:c25f:3069:ffff:ffff:ffff:ffff:ffff |
| 107 | 3c19:c25f:306a::/48 | 3c19:c25f:306a:ffff:ffff:ffff:ffff:ffff |
| 108 | 3c19:c25f:306b::/48 | 3c19:c25f:306b:ffff:ffff:ffff:ffff:ffff |
| 109 | 3c19:c25f:306c::/48 | 3c19:c25f:306c:ffff:ffff:ffff:ffff:ffff |
| 110 | 3c19:c25f:306d::/48 | 3c19:c25f:306d:ffff:ffff:ffff:ffff:ffff |
| 111 | 3c19:c25f:306e::/48 | 3c19:c25f:306e:ffff:ffff:ffff:ffff:ffff |
| 112 | 3c19:c25f:306f::/48 | 3c19:c25f:306f:ffff:ffff:ffff:ffff:ffff |
| 113 | 3c19:c25f:3070::/48 | 3c19:c25f:3070:ffff:ffff:ffff:ffff:ffff |
| 114 | 3c19:c25f:3071::/48 | 3c19:c25f:3071:ffff:ffff:ffff:ffff:ffff |
| 115 | 3c19:c25f:3072::/48 | 3c19:c25f:3072:ffff:ffff:ffff:ffff:ffff |
| 116 | 3c19:c25f:3073::/48 | 3c19:c25f:3073:ffff:ffff:ffff:ffff:ffff |
| 117 | 3c19:c25f:3074::/48 | 3c19:c25f:3074:ffff:ffff:ffff:ffff:ffff |
| 118 | 3c19:c25f:3075::/48 | 3c19:c25f:3075:ffff:ffff:ffff:ffff:ffff |
| 119 | 3c19:c25f:3076::/48 | 3c19:c25f:3076:ffff:ffff:ffff:ffff:ffff |
| 120 | 3c19:c25f:3077::/48 | 3c19:c25f:3077:ffff:ffff:ffff:ffff:ffff |
| 121 | 3c19:c25f:3078::/48 | 3c19:c25f:3078:ffff:ffff:ffff:ffff:ffff |
| 122 | 3c19:c25f:3079::/48 | 3c19:c25f:3079:ffff:ffff:ffff:ffff:ffff |
| 123 | 3c19:c25f:307a::/48 | 3c19:c25f:307a:ffff:ffff:ffff:ffff:ffff |
| 124 | 3c19:c25f:307b::/48 | 3c19:c25f:307b:ffff:ffff:ffff:ffff:ffff |
| 125 | 3c19:c25f:307c::/48 | 3c19:c25f:307c:ffff:ffff:ffff:ffff:ffff |
| 126 | 3c19:c25f:307d::/48 | 3c19:c25f:307d:ffff:ffff:ffff:ffff:ffff |
| 127 | 3c19:c25f:307e::/48 | 3c19:c25f:307e:ffff:ffff:ffff:ffff:ffff |
| 128 | 3c19:c25f:307f::/48 | 3c19:c25f:307f:ffff:ffff:ffff:ffff:ffff |
| 129 | 3c19:c25f:3080::/48 | 3c19:c25f:3080:ffff:ffff:ffff:ffff:ffff |
| 130 | 3c19:c25f:3081::/48 | 3c19:c25f:3081:ffff:ffff:ffff:ffff:ffff |
| 131 | 3c19:c25f:3082::/48 | 3c19:c25f:3082:ffff:ffff:ffff:ffff:ffff |
| 132 | 3c19:c25f:3083::/48 | 3c19:c25f:3083:ffff:ffff:ffff:ffff:ffff |
| 133 | 3c19:c25f:3084::/48 | 3c19:c25f:3084:ffff:ffff:ffff:ffff:ffff |
| 134 | 3c19:c25f:3085::/48 | 3c19:c25f:3085:ffff:ffff:ffff:ffff:ffff |
| 135 | 3c19:c25f:3086::/48 | 3c19:c25f:3086:ffff:ffff:ffff:ffff:ffff |
| 136 | 3c19:c25f:3087::/48 | 3c19:c25f:3087:ffff:ffff:ffff:ffff:ffff |
| 137 | 3c19:c25f:3088::/48 | 3c19:c25f:3088:ffff:ffff:ffff:ffff:ffff |
| 138 | 3c19:c25f:3089::/48 | 3c19:c25f:3089:ffff:ffff:ffff:ffff:ffff |
| 139 | 3c19:c25f:308a::/48 | 3c19:c25f:308a:ffff:ffff:ffff:ffff:ffff |
| 140 | 3c19:c25f:308b::/48 | 3c19:c25f:308b:ffff:ffff:ffff:ffff:ffff |
| 141 | 3c19:c25f:308c::/48 | 3c19:c25f:308c:ffff:ffff:ffff:ffff:ffff |
| 142 | 3c19:c25f:308d::/48 | 3c19:c25f:308d:ffff:ffff:ffff:ffff:ffff |
| 143 | 3c19:c25f:308e::/48 | 3c19:c25f:308e:ffff:ffff:ffff:ffff:ffff |
| 144 | 3c19:c25f:308f::/48 | 3c19:c25f:308f:ffff:ffff:ffff:ffff:ffff |
| 145 | 3c19:c25f:3090::/48 | 3c19:c25f:3090:ffff:ffff:ffff:ffff:ffff |
| 146 | 3c19:c25f:3091::/48 | 3c19:c25f:3091:ffff:ffff:ffff:ffff:ffff |
| 147 | 3c19:c25f:3092::/48 | 3c19:c25f:3092:ffff:ffff:ffff:ffff:ffff |
| 148 | 3c19:c25f:3093::/48 | 3c19:c25f:3093:ffff:ffff:ffff:ffff:ffff |
| 149 | 3c19:c25f:3094::/48 | 3c19:c25f:3094:ffff:ffff:ffff:ffff:ffff |
| 150 | 3c19:c25f:3095::/48 | 3c19:c25f:3095:ffff:ffff:ffff:ffff:ffff |
| 151 | 3c19:c25f:3096::/48 | 3c19:c25f:3096:ffff:ffff:ffff:ffff:ffff |
| 152 | 3c19:c25f:3097::/48 | 3c19:c25f:3097:ffff:ffff:ffff:ffff:ffff |
| 153 | 3c19:c25f:3098::/48 | 3c19:c25f:3098:ffff:ffff:ffff:ffff:ffff |
| 154 | 3c19:c25f:3099::/48 | 3c19:c25f:3099:ffff:ffff:ffff:ffff:ffff |
| 155 | 3c19:c25f:309a::/48 | 3c19:c25f:309a:ffff:ffff:ffff:ffff:ffff |
| 156 | 3c19:c25f:309b::/48 | 3c19:c25f:309b:ffff:ffff:ffff:ffff:ffff |
| 157 | 3c19:c25f:309c::/48 | 3c19:c25f:309c:ffff:ffff:ffff:ffff:ffff |
| 158 | 3c19:c25f:309d::/48 | 3c19:c25f:309d:ffff:ffff:ffff:ffff:ffff |
| 159 | 3c19:c25f:309e::/48 | 3c19:c25f:309e:ffff:ffff:ffff:ffff:ffff |
| 160 | 3c19:c25f:309f::/48 | 3c19:c25f:309f:ffff:ffff:ffff:ffff:ffff |
| 161 | 3c19:c25f:30a0::/48 | 3c19:c25f:30a0:ffff:ffff:ffff:ffff:ffff |
| 162 | 3c19:c25f:30a1::/48 | 3c19:c25f:30a1:ffff:ffff:ffff:ffff:ffff |
| 163 | 3c19:c25f:30a2::/48 | 3c19:c25f:30a2:ffff:ffff:ffff:ffff:ffff |
| 164 | 3c19:c25f:30a3::/48 | 3c19:c25f:30a3:ffff:ffff:ffff:ffff:ffff |
| 165 | 3c19:c25f:30a4::/48 | 3c19:c25f:30a4:ffff:ffff:ffff:ffff:ffff |
| 166 | 3c19:c25f:30a5::/48 | 3c19:c25f:30a5:ffff:ffff:ffff:ffff:ffff |
| 167 | 3c19:c25f:30a6::/48 | 3c19:c25f:30a6:ffff:ffff:ffff:ffff:ffff |
| 168 | 3c19:c25f:30a7::/48 | 3c19:c25f:30a7:ffff:ffff:ffff:ffff:ffff |
| 169 | 3c19:c25f:30a8::/48 | 3c19:c25f:30a8:ffff:ffff:ffff:ffff:ffff |
| 170 | 3c19:c25f:30a9::/48 | 3c19:c25f:30a9:ffff:ffff:ffff:ffff:ffff |
| 171 | 3c19:c25f:30aa::/48 | 3c19:c25f:30aa:ffff:ffff:ffff:ffff:ffff |
| 172 | 3c19:c25f:30ab::/48 | 3c19:c25f:30ab:ffff:ffff:ffff:ffff:ffff |
| 173 | 3c19:c25f:30ac::/48 | 3c19:c25f:30ac:ffff:ffff:ffff:ffff:ffff |
| 174 | 3c19:c25f:30ad::/48 | 3c19:c25f:30ad:ffff:ffff:ffff:ffff:ffff |
| 175 | 3c19:c25f:30ae::/48 | 3c19:c25f:30ae:ffff:ffff:ffff:ffff:ffff |
| 176 | 3c19:c25f:30af::/48 | 3c19:c25f:30af:ffff:ffff:ffff:ffff:ffff |
| 177 | 3c19:c25f:30b0::/48 | 3c19:c25f:30b0:ffff:ffff:ffff:ffff:ffff |
| 178 | 3c19:c25f:30b1::/48 | 3c19:c25f:30b1:ffff:ffff:ffff:ffff:ffff |
| 179 | 3c19:c25f:30b2::/48 | 3c19:c25f:30b2:ffff:ffff:ffff:ffff:ffff |
| 180 | 3c19:c25f:30b3::/48 | 3c19:c25f:30b3:ffff:ffff:ffff:ffff:ffff |
| 181 | 3c19:c25f:30b4::/48 | 3c19:c25f:30b4:ffff:ffff:ffff:ffff:ffff |
| 182 | 3c19:c25f:30b5::/48 | 3c19:c25f:30b5:ffff:ffff:ffff:ffff:ffff |
| 183 | 3c19:c25f:30b6::/48 | 3c19:c25f:30b6:ffff:ffff:ffff:ffff:ffff |
| 184 | 3c19:c25f:30b7::/48 | 3c19:c25f:30b7:ffff:ffff:ffff:ffff:ffff |
| 185 | 3c19:c25f:30b8::/48 | 3c19:c25f:30b8:ffff:ffff:ffff:ffff:ffff |
| 186 | 3c19:c25f:30b9::/48 | 3c19:c25f:30b9:ffff:ffff:ffff:ffff:ffff |
| 187 | 3c19:c25f:30ba::/48 | 3c19:c25f:30ba:ffff:ffff:ffff:ffff:ffff |
| 188 | 3c19:c25f:30bb::/48 | 3c19:c25f:30bb:ffff:ffff:ffff:ffff:ffff |
| 189 | 3c19:c25f:30bc::/48 | 3c19:c25f:30bc:ffff:ffff:ffff:ffff:ffff |
| 190 | 3c19:c25f:30bd::/48 | 3c19:c25f:30bd:ffff:ffff:ffff:ffff:ffff |
| 191 | 3c19:c25f:30be::/48 | 3c19:c25f:30be:ffff:ffff:ffff:ffff:ffff |
| 192 | 3c19:c25f:30bf::/48 | 3c19:c25f:30bf:ffff:ffff:ffff:ffff:ffff |
| 193 | 3c19:c25f:30c0::/48 | 3c19:c25f:30c0:ffff:ffff:ffff:ffff:ffff |
| 194 | 3c19:c25f:30c1::/48 | 3c19:c25f:30c1:ffff:ffff:ffff:ffff:ffff |
| 195 | 3c19:c25f:30c2::/48 | 3c19:c25f:30c2:ffff:ffff:ffff:ffff:ffff |
| 196 | 3c19:c25f:30c3::/48 | 3c19:c25f:30c3:ffff:ffff:ffff:ffff:ffff |
| 197 | 3c19:c25f:30c4::/48 | 3c19:c25f:30c4:ffff:ffff:ffff:ffff:ffff |
| 198 | 3c19:c25f:30c5::/48 | 3c19:c25f:30c5:ffff:ffff:ffff:ffff:ffff |
| 199 | 3c19:c25f:30c6::/48 | 3c19:c25f:30c6:ffff:ffff:ffff:ffff:ffff |
| 200 | 3c19:c25f:30c7::/48 | 3c19:c25f:30c7:ffff:ffff:ffff:ffff:ffff |
| 201 | 3c19:c25f:30c8::/48 | 3c19:c25f:30c8:ffff:ffff:ffff:ffff:ffff |
| 202 | 3c19:c25f:30c9::/48 | 3c19:c25f:30c9:ffff:ffff:ffff:ffff:ffff |
| 203 | 3c19:c25f:30ca::/48 | 3c19:c25f:30ca:ffff:ffff:ffff:ffff:ffff |
| 204 | 3c19:c25f:30cb::/48 | 3c19:c25f:30cb:ffff:ffff:ffff:ffff:ffff |
| 205 | 3c19:c25f:30cc::/48 | 3c19:c25f:30cc:ffff:ffff:ffff:ffff:ffff |
| 206 | 3c19:c25f:30cd::/48 | 3c19:c25f:30cd:ffff:ffff:ffff:ffff:ffff |
| 207 | 3c19:c25f:30ce::/48 | 3c19:c25f:30ce:ffff:ffff:ffff:ffff:ffff |
| 208 | 3c19:c25f:30cf::/48 | 3c19:c25f:30cf:ffff:ffff:ffff:ffff:ffff |
| 209 | 3c19:c25f:30d0::/48 | 3c19:c25f:30d0:ffff:ffff:ffff:ffff:ffff |
| 210 | 3c19:c25f:30d1::/48 | 3c19:c25f:30d1:ffff:ffff:ffff:ffff:ffff |
| 211 | 3c19:c25f:30d2::/48 | 3c19:c25f:30d2:ffff:ffff:ffff:ffff:ffff |
| 212 | 3c19:c25f:30d3::/48 | 3c19:c25f:30d3:ffff:ffff:ffff:ffff:ffff |
| 213 | 3c19:c25f:30d4::/48 | 3c19:c25f:30d4:ffff:ffff:ffff:ffff:ffff |
| 214 | 3c19:c25f:30d5::/48 | 3c19:c25f:30d5:ffff:ffff:ffff:ffff:ffff |
| 215 | 3c19:c25f:30d6::/48 | 3c19:c25f:30d6:ffff:ffff:ffff:ffff:ffff |
| 216 | 3c19:c25f:30d7::/48 | 3c19:c25f:30d7:ffff:ffff:ffff:ffff:ffff |
| 217 | 3c19:c25f:30d8::/48 | 3c19:c25f:30d8:ffff:ffff:ffff:ffff:ffff |
| 218 | 3c19:c25f:30d9::/48 | 3c19:c25f:30d9:ffff:ffff:ffff:ffff:ffff |
| 219 | 3c19:c25f:30da::/48 | 3c19:c25f:30da:ffff:ffff:ffff:ffff:ffff |
| 220 | 3c19:c25f:30db::/48 | 3c19:c25f:30db:ffff:ffff:ffff:ffff:ffff |
| 221 | 3c19:c25f:30dc::/48 | 3c19:c25f:30dc:ffff:ffff:ffff:ffff:ffff |
| 222 | 3c19:c25f:30dd::/48 | 3c19:c25f:30dd:ffff:ffff:ffff:ffff:ffff |
| 223 | 3c19:c25f:30de::/48 | 3c19:c25f:30de:ffff:ffff:ffff:ffff:ffff |
| 224 | 3c19:c25f:30df::/48 | 3c19:c25f:30df:ffff:ffff:ffff:ffff:ffff |
| 225 | 3c19:c25f:30e0::/48 | 3c19:c25f:30e0:ffff:ffff:ffff:ffff:ffff |
| 226 | 3c19:c25f:30e1::/48 | 3c19:c25f:30e1:ffff:ffff:ffff:ffff:ffff |
| 227 | 3c19:c25f:30e2::/48 | 3c19:c25f:30e2:ffff:ffff:ffff:ffff:ffff |
| 228 | 3c19:c25f:30e3::/48 | 3c19:c25f:30e3:ffff:ffff:ffff:ffff:ffff |
| 229 | 3c19:c25f:30e4::/48 | 3c19:c25f:30e4:ffff:ffff:ffff:ffff:ffff |
| 230 | 3c19:c25f:30e5::/48 | 3c19:c25f:30e5:ffff:ffff:ffff:ffff:ffff |
| 231 | 3c19:c25f:30e6::/48 | 3c19:c25f:30e6:ffff:ffff:ffff:ffff:ffff |
| 232 | 3c19:c25f:30e7::/48 | 3c19:c25f:30e7:ffff:ffff:ffff:ffff:ffff |
| 233 | 3c19:c25f:30e8::/48 | 3c19:c25f:30e8:ffff:ffff:ffff:ffff:ffff |
| 234 | 3c19:c25f:30e9::/48 | 3c19:c25f:30e9:ffff:ffff:ffff:ffff:ffff |
| 235 | 3c19:c25f:30ea::/48 | 3c19:c25f:30ea:ffff:ffff:ffff:ffff:ffff |
| 236 | 3c19:c25f:30eb::/48 | 3c19:c25f:30eb:ffff:ffff:ffff:ffff:ffff |
| 237 | 3c19:c25f:30ec::/48 | 3c19:c25f:30ec:ffff:ffff:ffff:ffff:ffff |
| 238 | 3c19:c25f:30ed::/48 | 3c19:c25f:30ed:ffff:ffff:ffff:ffff:ffff |
| 239 | 3c19:c25f:30ee::/48 | 3c19:c25f:30ee:ffff:ffff:ffff:ffff:ffff |
| 240 | 3c19:c25f:30ef::/48 | 3c19:c25f:30ef:ffff:ffff:ffff:ffff:ffff |
| 241 | 3c19:c25f:30f0::/48 | 3c19:c25f:30f0:ffff:ffff:ffff:ffff:ffff |
| 242 | 3c19:c25f:30f1::/48 | 3c19:c25f:30f1:ffff:ffff:ffff:ffff:ffff |
| 243 | 3c19:c25f:30f2::/48 | 3c19:c25f:30f2:ffff:ffff:ffff:ffff:ffff |
| 244 | 3c19:c25f:30f3::/48 | 3c19:c25f:30f3:ffff:ffff:ffff:ffff:ffff |
| 245 | 3c19:c25f:30f4::/48 | 3c19:c25f:30f4:ffff:ffff:ffff:ffff:ffff |
| 246 | 3c19:c25f:30f5::/48 | 3c19:c25f:30f5:ffff:ffff:ffff:ffff:ffff |
| 247 | 3c19:c25f:30f6::/48 | 3c19:c25f:30f6:ffff:ffff:ffff:ffff:ffff |
| 248 | 3c19:c25f:30f7::/48 | 3c19:c25f:30f7:ffff:ffff:ffff:ffff:ffff |
| 249 | 3c19:c25f:30f8::/48 | 3c19:c25f:30f8:ffff:ffff:ffff:ffff:ffff |
| 250 | 3c19:c25f:30f9::/48 | 3c19:c25f:30f9:ffff:ffff:ffff:ffff:ffff |
| 251 | 3c19:c25f:30fa::/48 | 3c19:c25f:30fa:ffff:ffff:ffff:ffff:ffff |
| 252 | 3c19:c25f:30fb::/48 | 3c19:c25f:30fb:ffff:ffff:ffff:ffff:ffff |
| 253 | 3c19:c25f:30fc::/48 | 3c19:c25f:30fc:ffff:ffff:ffff:ffff:ffff |
| 254 | 3c19:c25f:30fd::/48 | 3c19:c25f:30fd:ffff:ffff:ffff:ffff:ffff |
| 255 | 3c19:c25f:30fe::/48 | 3c19:c25f:30fe:ffff:ffff:ffff:ffff:ffff |
| 256 | 3c19:c25f:30ff::/48 | 3c19:c25f:30ff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |